Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811591 - service-levels command does not use the same error string as the other commands
Summary: service-levels command does not use the same error string as the other commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 771748
TreeView+ depends on / blocked
 
Reported: 2012-04-11 13:42 UTC by Bryan Kearney
Modified: 2013-01-08 03:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation necessary.
Clone Of:
Environment:
Last Closed: 2013-01-08 03:50:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0033 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-01-08 08:38:27 UTC

Description Bryan Kearney 2012-04-11 13:42:52 UTC
Most commands error like this when not registered:

[root@bkearney src]# ./subscription-manager subscribe --auto
This system is not yet registered. Try 'subscription-manager register --help' for more information.


service-level is different:

[root@bkearney src]# ./subscription-manager service-level
Error: This system is currently not registered.

Comment 1 RHEL Program Management 2012-04-11 13:57:54 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 2 Bryan Kearney 2012-04-12 12:07:22 UTC
fixed in master in 46c8d80d73931fdd0a33153b6a6384047f0254b7. Should be available in 1.0.1.

Comment 3 spandey 2012-06-18 11:08:29 UTC
verified using following rpm 

subscription-manager-firstboot-1.0.3-1.git.75.a0245f2.el5
subscription-manager-1.0.3-1.git.75.a0245f2.el5
subscription-manager-gui-1.0.3-1.git.75.a0245f2.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-migration-1.0.3-1.git.75.a0245f2.el5




[root@dhcp193-122 product]# subscription-manager service-level
This system is not yet registered. Try 'subscription-manager register --help' for more information.
[root@dhcp193-122 product]# subscription-manager subscribe --auto
This system is not yet registered. Try 'subscription-manager register --help' for more information.
[root@dhcp193-122 product]# subscription-manager service-level --set
usage: subscription-manager service-level [OPTIONS]

Working fine Resolving defect as verified.

Comment 6 errata-xmlrpc 2013-01-08 03:50:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html


Note You need to log in before you can comment on or make changes to this bug.